# Cast Vote

Submit a vote on a Agile Governance proposal.

* `proposalId` (string) The ID of the proposal to vote on. This is an auto-incrementing integer in the Governor Alpha contract.
* `support` (boolean) A boolean of true for 'yes' or false for 'no' on the proposal vote.
* `[options]` (CallOptions) Options to set for a transaction and Ethers.js method overrides.
* `RETURN` (object) Returns an Ethers.js transaction object of the vote transaction.

```
const agile = new Agile(window.ethereum);

(async function() {
  const castVoteTx = await agile.castVote(12, true);
  console.log('Ethers.js transaction object', castVoteTx);
})().catch(console.error);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agilefi.org/agile.js/governance-methods/cast-vote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
